import ui
import threading 
import socket

sock = socket.socket(socket.AF_INET,
socket.SOCK_DGRAM)
sock.bind(('', 9000))
tello = ('192.168.10.1', 8889)
d = '70' # 移動距離(cm)

def send_command(msg, tello):
	print(msg)
	msg = msg.encode(encoding="utf-8")
	sock.sendto(msg, tello)

send_command('command', tello)

def takeoff(sender):
	send_command('takeoff', tello)

def land(sender):
	send_command('land', tello)
	
def forward(sender):
	send_command('forward ' + d, tello)
	
def back(sender):
	send_command('back ' + d, tello)
	
def right(sender):
	send_command('right ' + d, tello)

def left(sender):
	send_command('left ' + d, tello)

def up(sender):
	send_command('up ' + d, tello)
	
def down(sender):
	send_command('down ' + d, tello)
	
def flip(sender):
	send_command('flip b', tello)

v = ui.load_view()
v.present('sheet')
message = v['message']

def recv():
	while True: 
		try:
			data, s = sock.recvfrom(1518)
			r = data.decode(encoding="utf-8")
			print(r)
			message.text = r
		except Exception:
			print('Exit')
			break

recvt = threading.Thread(target=recv)
recvt.start()
